org.apache.ignite.internal.util.typedef

## Interface P1<E1>

Type Parameters:
  `E1` - Type of the free variable, i.e. the element the predicate is called on.

All Superinterfaces:
  IgnitePredicate<E1>, Serializable

    public interface P1<E1>
    extends IgnitePredicate<E1>

Defines `alias` for `IgnitePredicate` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgnitePredicate`.

See Also:
  `GridFunc`, `IgnitePredicate`

### Method Summary

### Methods inherited from interface org.apache.ignite.lang.IgnitePredicate

`apply`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015